<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Daily ServiceType
 * @subpackage Services
 */
class Daily extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named DailyItemUpdateDS
     * Meta informations extracted from the WSDL
     * - documentation: Returns XML list of active items changed since LastUpdate including attributes.<br>Specify the date (mm/dd/yyyy) of LastUpdate. (Enter #1/1/1990# for full item catalog)<br>LastItem allows paging (-1 will return all items. Anything
     * else will return 1000 rows at a time starting with ItemNumber = LastItem).<br>Use DailyItemCount to return amount changed since LastDate.<br>To view the schema of the input/return values of this function <a href="Schemas/DailyItemUpdate.xsl">Click
     * Here</a> | Returns XML list of active items changed since LastUpdate including attributes.<br>Specify the date (mm/dd/yyyy) of LastUpdate. (Enter #1/1/1990# for full item catalog)<br>LastItem allows paging (-1 will return all items. Anything else
     * will return 1000 rows at a time starting with ItemNumber = LastItem).<br>Use DailyItemCount to return amount changed since LastDate.<br>To view the schema of the input/return values of this function <a href="Schemas/DailyItemUpdate.xsl">Click
     * Here</a> | Returns XML list of active items changed since LastUpdate including attributes.<br>Specify the date (mm/dd/yyyy) of LastUpdate. (Enter #1/1/1990# for full item catalog)<br>LastItem allows paging (-1 will return all items. Anything else
     * will return 1000 rows at a time starting with ItemNumber = LastItem).<br>Use DailyItemCount to return amount changed since LastDate.<br>To view the schema of the input/return values of this function <a href="Schemas/DailyItemUpdate.xsl">Click
     * Here</a>
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DailyItemUpdateDS $parameters
     * @return \StructType\DailyItemUpdateDSResponse|bool
     */
    public function DailyItemUpdateDS(\StructType\DailyItemUpdateDS $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->DailyItemUpdateDS($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named DailyItemUpdate
     * Meta informations extracted from the WSDL
     * - documentation: Returns XML list of active items changed since LastUpdate including attributes.<br>Specify the date (mm/dd/yyyy) of LastUpdate. (Enter #1/1/1990# for full item catalog)<br>LastItem allows paging (-1 will return all items. Anything
     * else will return 1000 rows at a time starting with ItemNumber = LastItem).<br>Use DailyItemCount to return amount changed since LastDate.<br>To view the schema of the input/return values of this function <a href="Schemas/DailyItemUpdate.xsl">Click
     * Here</a> | Returns XML list of active items changed since LastUpdate including attributes.<br>Specify the date (mm/dd/yyyy) of LastUpdate. (Enter #1/1/1990# for full item catalog)<br>LastItem allows paging (-1 will return all items. Anything else
     * will return 1000 rows at a time starting with ItemNumber = LastItem).<br>Use DailyItemCount to return amount changed since LastDate.<br>To view the schema of the input/return values of this function <a href="Schemas/DailyItemUpdate.xsl">Click
     * Here</a> | Returns XML list of active items changed since LastUpdate including attributes.<br>Specify the date (mm/dd/yyyy) of LastUpdate. (Enter #1/1/1990# for full item catalog)<br>LastItem allows paging (-1 will return all items. Anything else
     * will return 1000 rows at a time starting with ItemNumber = LastItem).<br>Use DailyItemCount to return amount changed since LastDate.<br>To view the schema of the input/return values of this function <a href="Schemas/DailyItemUpdate.xsl">Click
     * Here</a>
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DailyItemUpdate $parameters
     * @return \StructType\DailyItemUpdateResponse|bool
     */
    public function DailyItemUpdate(\StructType\DailyItemUpdate $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->DailyItemUpdate($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named DailyItemCount
     * Meta informations extracted from the WSDL
     * - documentation: Returns count of active items changed since LastUpdate.<br>Specify the date (mm/dd/yyyy) of LastUpdate. | Returns count of active items changed since LastUpdate.<br>Specify the date (mm/dd/yyyy) of LastUpdate. | Returns count of
     * active items changed since LastUpdate.<br>Specify the date (mm/dd/yyyy) of LastUpdate.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DailyItemCount $parameters
     * @return \StructType\DailyItemCountResponse|bool
     */
    public function DailyItemCount(\StructType\DailyItemCount $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->DailyItemCount($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\DailyItemCountResponse|\StructType\DailyItemUpdateDSResponse|\StructType\DailyItemUpdateResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
